# pydicom.pixels.utils.get_image_pixel_ids

pydicom.pixels.utils.get_image_pixel_ids(ds: Dataset) → dict[str, int]

  Return a dict of the pixel data affecting element’s `id()` values.

  Element
  Tag | Keyword | Type
  --- | --- | ---
  (0028,0002) | SamplesPerPixel | 1
  (0028,0004) | PhotometricInterpretation | 1
  (0028,0006) | PlanarConfiguration | 1C
  (0028,0008) | NumberOfFrames | 1C
  (0028,0010) | Rows | 1
  (0028,0011) | Columns | 1
  (0028,0100) | BitsAllocated | 1
  (0028,0101) | BitsStored | 1
  (0028,0103) | PixelRepresentation | 1
  (7FE0,0008) | FloatPixelData | 1C
  (7FE0,0009) | DoubleFloatPixelData | 1C
  (7FE0,0010) | PixelData | 1C

  Parameters:

    ds (Dataset) – The `Dataset` containing the pixel data.

  Returns:

    A dict containing the `id()` values for the elements that affect the pixel data.

  Return type:

    dict